> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Migration History

> Get full migration history.

Returns all applied migrations in chronological order from oldest to newest.

Only superadmins can access this endpoint.



## OpenAPI

````yaml get /api/v1/migrations/history
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/migrations/history:
    get:
      tags:
        - migrations
      summary: Get Migration History
      description: >-
        Get full migration history.


        Returns all applied migrations in chronological order from oldest to
        newest.


        Only superadmins can access this endpoint.
      operationId: get_migration_history_api_v1_migrations_history_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MigrationHistoryResponse'
        '403':
          description: Superadmin access required
components:
  schemas:
    MigrationHistoryResponse:
      properties:
        history:
          items:
            $ref: '#/components/schemas/MigrationHistoryItemResponse'
          type: array
          title: History
          description: List of applied migrations in chronological order
        total:
          type: integer
          title: Total
          description: Total number of applied migrations
      type: object
      required:
        - history
        - total
      title: MigrationHistoryResponse
      description: Response schema for migration history.
    MigrationHistoryItemResponse:
      properties:
        revision:
          type: string
          title: Revision
          description: Unique revision identifier
        description:
          type: string
          title: Description
          description: Migration description
        is_dynamic:
          type: boolean
          title: Is Dynamic
          description: Whether this is a dynamic (auto-generated) migration
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: Creation timestamp (ISO format)
      type: object
      required:
        - revision
        - description
        - is_dynamic
      title: MigrationHistoryItemResponse
      description: Response schema for a single item in migration history.

````